1. Download our Official Android App: Forums for Android!

Apps Issue 209095: Android sudio 2.1 - Error while waiting for device: Time out after 300seconds waitin

Discussion in 'Android Development' started by ac4android, Jul 4, 2016.

  1. ac4android

    ac4android Well-Known Member
    Thread Starter
    Rank:
    None
    Points:
    53
    Posts:
    198
    Joined:
    Nov 3, 2015

    Nov 3, 2015
    198
    29
    53
    If you have this problem after upgrading to A/S 2.1 please visit this site.

    https://code.google.com/p/android/issues/detail?can=2&start=0&num=100&q=&colspec=ID Status Priority Owner Summary Stars Reporter Opened&groupby=&sort=&id=209095


    UPDATE 7/13/2016
    https://code.google.com/p/android/issues/detail?id=200153

    Project Member #17 vs...@google.com
    If anyone is still seeing this problem, please file a new bug and report exactly which version of the SDK Tools you are using. As you see from earlier comments, this was a bug in the emulator.

    I can get it working with old version:
    Name: Nexus_4_API_17_2
    CPU/ABI: ARM (armeabi-v7a)
    Path: C:\Users\ARTHUR\.android\avd\Nexus_4_API_17_2.avd
    Target: default [] (API level 17)

    Anything more recent and all emulators with Google API will generate the same error after 300 seconds
     

    Advertisement

    #1 ac4android, Jul 4, 2016
    Last edited: Jul 13, 2016
  2. ac4android

    ac4android Well-Known Member
    Thread Starter
    Rank:
    None
    Points:
    53
    Posts:
    198
    Joined:
    Nov 3, 2015

    Nov 3, 2015
    198
    29
    53
    Anyone with this problem please use ticket # 209095.
    Google has closed #200153 because a bug has been identified in the emulator.
    Follow this link instead:
    https://code.google.com/p/android/i...tars Reporter Opened&groupby=&sort=&id=209095

    Project Member #19 ppra...@google.com
    I _may_ have reproed this with Studio 2.2 Preview 5, emulator 25.2.0-3037468 and sysimg: API 23 Google API 2872745

    Owner: ppra...@google.com
    Labels: -Priority-Small -Subcomponent-Tools-Studio Priority-Critical Subcomponent-Tools-emulator Version-Studio-2.2 bash-2016
    Yesterday (17 hours ago) Delete comment
    #20 achanin...@gmail.com
    I still got this problem after refreshing SDKs and recreating AVDs twice. I have installed following APIs, I do not know why API21 shows "Partially installed", possibly because I left out obsolete revisions.

    My SDK Tool detail:
    Android SDK Tools 2.1.7 25.1.7 Installed

    I will try and attach a logcat output shortly

    Name API Rev Status
    =====================================
    Android 6.0 23 3 Installed
    Android 5.1 22 2 Installed
    Android 5.0 21 2 Partially installed
    Android 4.2 17 3 Installed
    16 5 Not installed

    Today (16 hours ago)
    Project Member #21 ppra...@google.com
    (No comment was entered for this change.)

    Labels: -Priority-Critical Priority-Blocker
    Today (6 hours ago)
    #22 robertbo...@gmail.com
    Same issue here. On MAC 10.11.5, Android Studio 2.1.2, SDK Tools 25.1.7
     
  3. LV426

    LV426 I say we take off and nuke this place from orbit
    Moderator
    Rank:
     #17
    Points:
    1,488
    Posts:
    6,715
    Joined:
    Oct 16, 2015

    Oct 16, 2015
    6,715
    9,441
    1,488
    Male
    Software developer
    South West of England
    Oh good one. I'm sure the clever people at Google will sort it out.
     

Share This Page

Loading...